<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class BantuanPemerintahSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data = [
            [
                'id' => 1,
                'keterangan' => 'Tidak Ada',
            ],
            [
                'id' => 2,
                'keterangan' => 'Program Keluarga Harapan (PKH)',
            ],
            [
                'id' => 3,
                'keterangan' => 'Program Bantuan Langsung Tunai (BLT)',
            ],
            [
                'id' => 4,
                'keterangan' => 'Program Indonesia Pintar (PIP)',
            ],
            [
                'id' => 5,
                'keterangan' => 'Program Kartu Indonesia Pintar (KIP)',
            ],
            [
                'id' => 6,
                'keterangan' => 'Program Bantuan Siswa Miskin (BSM)',
            ],
            [
                'id' => 7,
                'keterangan' => 'Program Kredit Usaha Rakyat (KUR)',
            ],
            [
                'id' => 8,
                'keterangan' => 'Program Bantuan Pangan Non Tunai (BPNT)',
            ],
            [
                'id' => 9,
                'keterangan' => 'Program Bantuan Listrik Bersubsidi',
            ],
            [
                'id' => 10,
                'keterangan' => 'Program Bedah Rumah',
            ],
            [
                'id' => 11,
                'keterangan' => 'Program Bantuan Bibit dan Pupuk',
            ],
            [
                'id' => 100,
                'keterangan' => 'Lainnya',
            ],
        ];

        DB::table("mst_bantuan_pemerintahs")->insert($data);
    }
}
