<?php

namespace Database\Seeders;

use Carbon\Carbon;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class ManagementMasterSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data_roles = [
            // [
            //     'id' => 1,
            //     'master_code' => 'Master Agama',
            //     'master_value' => 'Agamas',
            //     'master_column' => 'keterangan',
            //     'created_at' => Carbon::now()->toDateTimeString(),
            //     'updated_at' => Carbon::now()->toDateTimeString()
            // ],
            // [
            //     'id' => 2,
            //     'master_code' => 'Master Provinsi',
            //     'master_value' => 'Provinsis',
            //     'master_column' => 'nama',
            //     'created_at' => Carbon::now()->toDateTimeString(),
            //     'updated_at' => Carbon::now()->toDateTimeString()
            // ],
            // [
            //     'id' => 3,
            //     'master_code' => 'Master Kabupaten',
            //     'master_value' => 'Kabupatens',
            //     'master_column' => 'nama',
            //     'created_at' => Carbon::now()->toDateTimeString(),
            //     'updated_at' => Carbon::now()->toDateTimeString()
            // ],
            // [
            //     'id' => 4,
            //     'master_code' => 'Master Kecamatan',
            //     'master_value' => 'Kecamatans',
            //     'master_column' => 'nama',
            //     'created_at' => Carbon::now()->toDateTimeString(),
            //     'updated_at' => Carbon::now()->toDateTimeString()
            // ],
            // [
            //     'id' => 5,
            //     'master_code' => 'Master Kelurahan',
            //     'master_value' => 'Kelurahans',
            //     'master_column' => 'nama',
            //     'created_at' => Carbon::now()->toDateTimeString(),
            //     'updated_at' => Carbon::now()->toDateTimeString()
            // ],
            // [
            //     'id' => 6,
            //     'master_code' => 'Master Alamat',
            //     'master_value' => 'Alamats',
            //     'master_column' => 'Alamat',
            //     'created_at' => Carbon::now()->toDateTimeString(),
            //     'updated_at' => Carbon::now()->toDateTimeString()
            // ],
            [
                'id' => 7,
                'master_code' => 'Master Jenjang Pendidikan',
                'master_value' => 'MasterJenjangPendidikans',
                'master_column' => 'keterangan',
                'created_at' => Carbon::now()->toDateTimeString(),
                'updated_at' => Carbon::now()->toDateTimeString()
            ],
            [
                'id' => 8,
                'master_code' => 'Master Disabilitas',
                'master_value' => 'MasterDisabilitas',
                'master_column' => 'keterangan',
                'created_at' => Carbon::now()->toDateTimeString(),
                'updated_at' => Carbon::now()->toDateTimeString()
            ],
            [
                'id' => 9,
                'master_code' => 'Master Bantuan Pemerintah',
                'master_value' => 'MasterBantuanPemerintahs',
                'master_column' => 'keterangan',
                'created_at' => Carbon::now()->toDateTimeString(),
                'updated_at' => Carbon::now()->toDateTimeString()
            ],
            [
                'id' => 10,
                'master_code' => 'Master Pekerjaan',
                'master_value' => 'MasterPekerjaans',
                'master_column' => 'keterangan',
                'created_at' => Carbon::now()->toDateTimeString(),
                'updated_at' => Carbon::now()->toDateTimeString()
            ],
            [
                'id' => 11,
                'master_code' => 'Master Status Perkawinan',
                'master_value' => 'MasterStatusPerkawinans',
                'master_column' => 'keterangan',
                'created_at' => Carbon::now()->toDateTimeString(),
                'updated_at' => Carbon::now()->toDateTimeString()
            ],
            [
                'id' => 12,
                'master_code' => 'Master Status Tempat Tinggal',
                'master_value' => 'MasterStatusTempatTinggals',
                'master_column' => 'keterangan',
                'created_at' => Carbon::now()->toDateTimeString(),
                'updated_at' => Carbon::now()->toDateTimeString()
            ],
        ];

        DB::table('management_masters')->insert($data_roles);
    }
}
