<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class PekerjaanSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data = [
            [
                'id' => 1,
                'keterangan' => 'Belum Bekerja',
            ],
            [
                'id' => 2,
                'keterangan' => 'Pegawai Negeri Sipil (PNS)',
            ],
            [
                'id' => 3,
                'keterangan' => 'Pekerja Swasta',
            ],
            [
                'id' => 4,
                'keterangan' => 'Insinyur',
            ],
            [
                'id' => 5,
                'keterangan' => 'Tentara',
            ],
            [
                'id' => 6,
                'keterangan' => 'Polisi',
            ],
            [
                'id' => 7,
                'keterangan' => 'Guru',
            ],
            [
                'id' => 8,
                'keterangan' => 'Dokter',
            ],
            [
                'id' => 9,
                'keterangan' => 'Petani',
            ],
            [
                'id' => 10,
                'keterangan' => 'Nelayan',
            ],
            [
                'id' => 11,
                'keterangan' => 'Pedagang',
            ],
            [
                'id' => 12,
                'keterangan' => 'Wiraswasta',
            ],
            [
                'id' => 13,
                'keterangan' => 'IRT / MRT',
            ],
            [
                'id' => 14,
                'keterangan' => 'Tukang Kayu',
            ],
            [
                'id' => 15,
                'keterangan' => 'Tukang Las',
            ],
            [
                'id' => 16,
                'keterangan' => 'Tukang Jahit',
            ],
            [
                'id' => 17,
                'keterangan' => 'Tukang Batu',
            ],
            [
                'id' => 18,
                'keterangan' => 'Buruh Bangunan',
            ],
            [
                'id' => 19,
                'keterangan' => 'Buruh Pabrik',
            ],
            [
                'id' => 20,
                'keterangan' => 'Buruh Tani',
            ],
            [
                'id' => 21,
                'keterangan' => 'Penjaga Toko',
            ],
            [
                'id' => 22,
                'keterangan' => 'Sopir',
            ],
            [
                'id' => 23,
                'keterangan' => 'Supir Angkutan Umum',
            ],
            [
                'id' => 24,
                'keterangan' => 'Tukang Sol Sepatu',
            ],
            [
                'id' => 25,
                'keterangan' => 'Tukang Cuci',
            ],
            [
                'id' => 26,
                'keterangan' => 'Pekerja Sosial',
            ],
            [
                'id' => 27,
                'keterangan' => 'Mekanik',
            ],
            [
                'id' => 28,
                'keterangan' => 'Pekerja IT',
            ],
            [
                'id' => 29,
                'keterangan' => 'Seniman',
            ],
            [
                'id' => 30,
                'keterangan' => 'Pengrajin',
            ],
            [
                'id' => 100,
                'keterangan' => 'Lainnya',
            ],
        ];

        DB::table("mst_pekerjaans")->insert($data);
    }
}
