<!doctype html>
<html lang="en" dir="ltr" data-bs-theme="light" data-color-theme="Blue_Theme" data-layout="vertical"
    data-boxed-layout="boxed" data-card="shadow">

<head>
    @include('includes.head')
    <title>Survey SDGS | @yield('title')</title>

    @stack('styles')
    <!-- Scripts Start -->
    @include('includes.scripts')
    <!-- Scripts End -->
    @stack('scripts')

</head>

<body data-sidebartype="full">
    <!--  Body Wrapper -->
    <div id="main-wrapper">
        <!-- Sidebar Start -->
        <aside class="left-sidebar with-vertical">
            <div>
                @include('includes.sidebar')
            </div>
        </aside>
        <!--  Sidebar End -->

        <div class="page-wrapper">
            <!--  Header Start -->
            <header class="topbar">
                <div class="with-vertical">
                    @include('includes.header')
                </div>
                {{-- <div class="app-header with-horizontal">
                    @include('includes.horizontal-header')
                </div> --}}
            </header>
            <!--  Header End -->

            {{-- <aside class="left-sidebar with-horizontal">
                @include('includes.horizontal-sidebar')
            </aside> --}}

            <div class="body-wrapper">
                <div class="container-fluid mb-5">
                    @yield('content')
                </div>
            </div>

            {{-- @include('includes.customizer') --}}

        </div>

        {{-- @include('includes.header-components.dd-searchbar')
        @include('includes.header-components.dd-shopping-cart') --}}
    </div>

    <!-- Footer Start -->
    @include('includes.footer')
    <!-- Footer End -->

    {{-- <div class="dark-transparent sidebartoggler"></div> --}}

</body>

</html>
