<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Kecamatans extends Model
{
    use HasFactory;
    protected $table = 'kecamatan';
    public $timestamps = false;

    protected $guarded = [];

    public function kabupaten(): BelongsTo
    {
        return $this->belongsTo(Kabupatens::class, 'kabupaten_id', 'id');
    }
}
