<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class AgamaSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

        $agama = [
            [
                'id' => 1,
                'keterangan' => 'Islam',
            ],
            [
                'id' => 2,
                'keterangan' => 'Kristen',
            ],
            [
                'id' => 3,
                'keterangan' => 'Katolik',
            ],
            [
                'id' => 4,
                'keterangan' => 'Hindu',
            ],
            [
                'id' => 5,
                'keterangan' => 'Budha',
            ],
            [
                'id' => 6,
                'keterangan' => 'Khonghucu',
            ],
            [
                'id' => 100,
                'keterangan' => 'Lainnya',
            ],
        ];

        DB::table("mst_agamas")->insert($agama);
    }
}
