<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class DisabilitasSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data = [
            [
                'id' => 1,
                'keterangan' => 'Tidak Ada',
            ],
            [
                'id' => 2,
                'keterangan' => 'Disabilitas Netra',
            ],
            [
                'id' => 3,
                'keterangan' => 'Disabilitas Rungu',
            ],
            [
                'id' => 4,
                'keterangan' => 'Disabilitas Daksa',
            ],
            [
                'id' => 5,
                'keterangan' => 'Disabilitas Intelektual',
            ],
            [
                'id' => 6,
                'keterangan' => 'Disabilitas Mental',
            ],
            [
                'id' => 7,
                'keterangan' => 'Gangguan Emosi dan Perilaku',
            ],
            [
                'id' => 8,
                'keterangan' => 'Gangguan Komunikasi',
            ],
            [
                'id' => 9,
                'keterangan' => 'Gangguan Perhatian dan Hiperaktivitas',
            ],
            [
                'id' => 10,
                'keterangan' => 'Kesulitan Belajar spesifik',
            ],
            [
                'id' => 11,
                'keterangan' => 'Gangguan Spektrum Autis (ASD)',
            ],
            [
                'id' => 100,
                'keterangan' => 'Lainnya',
            ],
        ];

        DB::table("mst_disabilitas")->insert($data);
    }
}
