<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class JenjangPendidikanSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data = [
            [
                'id' => 1,
                'keterangan' => 'Tidak Sekolah',
            ],
            [
                'id' => 2,
                'keterangan' => 'SD / MI',
            ],
            [
                'id' => 3,
                'keterangan' => 'SMP / MTs / SMTP',
            ],
            [
                'id' => 4,
                'keterangan' => 'SMA / SMK / MA / SMTA',
            ],
            [
                'id' => 5,
                'keterangan' => 'D1',
            ],
            [
                'id' => 6,
                'keterangan' => 'D2',
            ],
            [
                'id' => 7,
                'keterangan' => 'D3',
            ],
            [
                'id' => 8,
                'keterangan' => 'D4',
            ],
            [
                'id' => 9,
                'keterangan' => 'S1',
            ],
            [
                'id' => 10,
                'keterangan' => 'S2',
            ],
            [
                'id' => 11,
                'keterangan' => 'S3',
            ],
            [
                'id' => 100,
                'keterangan' => 'Lainnya',
            ],
        ];

        DB::table("mst_jenjang_pendidikans")->insert($data);
    }
}
