<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class StatusPerkawinanSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data = [
            [
                'id' => 1,
                'keterangan' => 'Belum Kawin',
            ],
            [
                'id' => 2,
                'keterangan' => 'Kawin',
            ],
            [
                'id' => 3,
                'keterangan' => 'Cerai Hidup',
            ],
            [
                'id' => 4,
                'keterangan' => 'Cerai Mati',
            ],
            [
                'id' => 100,
                'keterangan' => 'Lainnya',
            ],
        ];

        DB::table("mst_status_perkawinans")->insert($data);
    }
}
