<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class StatusTempatTinggalSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $data = [
            [
                'id' => 1,
                'keterangan' => 'Milik Sendiri',
            ],
            [
                'id' => 2,
                'keterangan' => 'Sewa',
            ],
            [
                'id' => 3,
                'keterangan' => 'Kontrak',
            ],
            [
                'id' => 4,
                'keterangan' => 'Menumpang',
            ],
            [
                'id' => 100,
                'keterangan' => 'Lainnya',
            ],
        ];

        DB::table("mst_status_tempat_tinggals")->insert($data);
    }
}
